package shop.alien.second.service;

import com.baomidou.mybatisplus.extension.service.IService;
import shop.alien.entity.second.SecondGoodsCategory;

import java.util.List;

/**
 * 二手商品服务接口
 */
public interface SecondGoodsCategoryService extends IService<SecondGoodsCategory> {

    /**
     * 获取分类列表
     * @param parentId 父ID
     * @return 分页后的屏蔽商品列
     */
    List<SecondGoodsCategory> querySecondGoodsByParentId(Integer parentId, Integer categoryState) throws Exception;

    Integer insertSecondGoodsCategory(SecondGoodsCategory category) throws Exception;

    Integer updateSecondGoodsCategory(SecondGoodsCategory category) throws Exception;

    List<SecondGoodsCategory> querySecondGoodsTree() throws Exception;

}